Bug 143408 - Better load times.
Summary: Better load times.
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-services (Show other bugs)
(Show other bugs)
Version: 3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-12-20 14:27 UTC by Alexandre Gomes
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-05 12:19:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alexandre Gomes 2004-12-20 14:27:56 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041020

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.


Additional info:

Fedora Core is used as non-production (desktop) system by many users,
and developers. For those like me, the load time, before I can login
and start using the system can be high. The solutions is of course,
not to start some services.

Yet, I've managed a simple solution. I created a "10 runlevel" where I
put those services I need, like mysql, apache, sendmail, etc... When
gnome and/or kde starts a 10 runlevel init is called. This way those
services are loaded only if I whish, and after the system is running.

Also, many services are subject to what u are doing. An applet to
quickly start/stop services based in profiles like "work at project
A", "work at project B", "home and games", would be nice.

Comment 1 Nils Philippsen 2006-04-05 12:19:01 UTC
This is out of scope for system-config-services.

While I agree with long boot times being a problem I don't think the approach
you suggest is the right solution. Different approaches to reduce boot times are
and have been discussed at fedora-devel-list, perhaps you should participate there.

NB: IIRC there are quite some tools who would have problems with
non-single-digit runlevels.


Note You need to log in before you can comment on or make changes to this bug.